Subject: Re: [regext] Fwd: New Version Notification for draft-loffredo-regext-rdap-jcard-deprecation-00.txt

From: Mario Loffredo <[email-masked]>
Date: Tue, 24 Mar 2020 19:44:42 +0100

Hi Jasdip,

thanks a lot for your review. My comments are included below.

Il 24/03/2020 17:21, Jasdip Singh ha scritto:
> Hello Mario.
> Hope you are doing well.

Thanks for your thought.

> Firstly, it was a delight to read this draft. :) JSCard would be so 
> much simpler than jCard!

It tries to fix some well-known issues with jCard.

> Some feedback:
>
>   * 4.3.1: In stage 1, could there not be other tags in
>     rdapConformance array beside “rdap_level_0”? Say, tags related
>     with upcoming sorting, paging, and/or subsetting functionalities.
>     May help to evolve "The rdapConformance array contains only the
>     "rdap_level_0" tag.”
>
Agreed. I rearrange the sentence.
>
>   * 4.3.1: Should stage 2 be called “JCard sunset”? Since we are
>     sunsetting JCard support on way to its deprecation. Is so, “title"
>     in JSON would change to “Card sunset end”.
>
True. "jCard sunset" is better.
>
>   * 4.3.1: In figures 1, 3, and 4, should alternate links have
>     application/rdap+json (or application/json) as type (instead of
>     text/html)?
>
Absolutely.

Cheers,

Mario

> Thanks,
> Jasdip
>
>
>> On Mar 23, 2020, at 8:48 AM, Mario Loffredo 
>> <[email-masked] <mailto:[email-masked]>> wrote:
>>
>> The first draft about using JSContact in RDAP JSON Responses has been 
>> submitted to the IETF. I co-authored this draft with Gavin Brown from 
>> CentralNic to provide a model for deprecating jCard in RDAP.
>>
>> Additional examples of conversion between jCard and the contact card 
>> defined by JSContact are available at 
>> https://github.com/mario-loffredo/jcard-deprecation/
>>
>> Please review the draft and provide any feedback.
>>
>> Thanks,
>>
>> Mario
>>
>>
>> -------- Messaggio Inoltrato --------
>> Oggetto: 	New Version Notification for 
>> draft-loffredo-regext-rdap-jcard-deprecation-00.txt
>> Data: 	Mon, 23 Mar 2020 05:37:10 -0700
>> Mittente: 	[email-masked]
>> A: 	Gavin Brown <[email-masked]>, Mario Loffredo 
>> <[email-masked]>
>>
>>
>>
>>
>> A new version of I-D, draft-loffredo-regext-rdap-jcard-deprecation-00.txt
>> has been successfully submitted by Mario Loffredo and posted to the
>> IETF repository.
>>
>> Name: draft-loffredo-regext-rdap-jcard-deprecation
>> Revision: 00
>> Title: Using JSContact in Registration Data Access Protocol (RDAP) 
>> JSON Responses
>> Document date: 2020-03-23
>> Group: Individual Submission
>> Pages: 12
>> URL: 
>> https://www.ietf.org/internet-drafts/draft-loffredo-regext-rdap-jcard-deprecation-00.txt
>> Status: 
>> https://datatracker.ietf.org/doc/draft-loffredo-regext-rdap-jcard-deprecation/
>> Htmlized: 
>> https://tools.ietf.org/html/draft-loffredo-regext-rdap-jcard-deprecation-00
>> Htmlized: 
>> https://datatracker.ietf.org/doc/html/draft-loffredo-regext-rdap-jcard-deprecation
>>
>>
>> Abstract:
>> This document describes how RDAP servers can represent entity contact
>> information in JSON responses using JSContact.
>>
>>
>>
>> Please note that it may take a couple of minutes from the time of 
>> submission
>> until the htmlized version and diff are available at tools.ietf.org 
>> <http://tools.ietf.org>.
>>
>> The IETF Secretariat
>>
>>
>> _______________________________________________
>> regext mailing list
>> [email-masked] <mailto:[email-masked]>
>> https://www.ietf.org/mailman/listinfo/regext
>
-- 
Dr. Mario Loffredo
Systems and Technological Development Unit
Institute of Informatics and Telematics (IIT)
National Research Council (CNR)
via G. Moruzzi 1, I-56124 PISA, Italy
Phone: +39.0503153497
Mobile: +39.3462122240
Web:http://www.iit.cnr.it/mario.loffredo
#pleasestayathome